SyntheticRepository (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.util.SyntheticRepository,SyntheticRepository class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class SyntheticRepository

    java.lang.Object
      |
      +--org.apache.bcel.util.SyntheticRepository

All Implemented Interfaces:
  Repository, java.io.Serializable

public class SyntheticRepository
extends java.lang.Object
implements Repository

This repository is used in situations where a Class is created outside the realm of a ClassLoader. Classes are loaded from the file systems using the paths specified in the given class path. By default, this is the value returned by ClassPath.getClassPath().
It is designed to be used as a singleton, however it can also be used with custom classpaths. /** Abstract definition of a class repository. Instances may be used to load classes from different sources and may be used in the Repository.setRepository method.

Version:
  $Id: SyntheticRepository.java,v 1.6 2002/11/10 18:30:05 mdahm Exp $
Author:
  M. Dahm, David Dixon-Peugh
See Also:
  `Repository`, Serialized Form

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(java.lang.String className)` Find an already defined (cached) JavaClass object by name.
`static SyntheticRepository` | `getInstance()`
`static SyntheticRepository` | `getInstance(ClassPath classPath)`
`JavaClass` | `loadClass(java.lang.Class clazz)` Try to find class source via getResourceAsStream().
`JavaClass` | `loadClass(java.lang.String className)` Load a JavaClass object for the given class name using the CLASSPATH environment variable.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store a new JavaClass instance into this Repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SyntheticRepository getInstance()

### getInstance

    public static SyntheticRepository getInstance(ClassPath classPath)

### storeClass

    public void storeClass(JavaClass clazz)

  Store a new JavaClass instance into this Repository.

  Specified by:
    `storeClass` in interface `Repository`

### removeClass

    public void removeClass(JavaClass clazz)

  Remove class from repository

  Specified by:
    `removeClass` in interface `Repository`

### findClass

    public JavaClass findClass(java.lang.String className)

  Find an already defined (cached) JavaClass object by name.

  Specified by:
    `findClass` in interface `Repository`

### loadClass

    public JavaClass loadClass(java.lang.String className)
                        throws java.lang.ClassNotFoundException

  Load a JavaClass object for the given class name using the CLASSPATH environment variable.

  Specified by:
    `loadClass` in interface `Repository`
    `java.lang.ClassNotFoundException`

### loadClass

    public JavaClass loadClass(java.lang.Class clazz)
                        throws java.lang.ClassNotFoundException

  Try to find class source via getResourceAsStream().

  Specified by:
    `loadClass` in interface `Repository`
  Returns:
    JavaClass object for given runtime class
    `java.lang.ClassNotFoundException`
  See Also:
    `Class`

### clear

    public void clear()

  Clear all entries from cache.

  Specified by:
    `clear` in interface `Repository`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.